{{- /*

This Template is designed to update the tasks based upon an input
list of tasks and a stop marker.

Inputs:

* root - the original root object (usually $)
* prefix - the object type to update
* uuid - the object uuid to update
* tasks - the new task list
* force - the tasks should be forced
* errmsg - should failure happen before we start

Outputs: NONE

*/ -}}
{{ $root := get . "root" -}}
{{ $errmsg := get . "errmsg" -}}
{{ $prefix := get . "prefix" -}}
{{ $uuid := get . "uuid" -}}
{{ $force := get . "force" -}}
{{ $forcestr := "" -}}
{{ if $force -}}
{{   $forcestr = "--force" -}}
{{ end -}}
{{ $tasks := get . "tasks" -}}
#!/usr/bin/env bash
# Copyright RackN, 2019

set -e

{{ template "prelude.tmpl" $root }}

job_info "Prefix = {{$prefix}}"
job_info "Tasks = {{$tasks}}"

{{ if eq $errmsg "" -}}
drpcli {{$prefix}} update {{$forcestr}} {{$uuid}} '{ "Tasks": {{toJson $tasks }} }' >/dev/null
job_success "Success"
{{ else -}}
job_error '{{$errmsg}}'
exit 1
{{ end -}}